# Notes / Warning :
# - this package is not prefixable
# - to update official patches, aka SOURCE4, see README.mga in SOURCE4

%define patchlevel 411

# Should we build X11 gui
%define buildgui 1

%{?_with_gui:%global buildgui 1}
%{?_without_gui:%global buildgui 0}

%define title       VI editor
%define longtitle   All-purpose text editor

%define baseversion 9.1
%define vimdir vim91

Name:           vim
Version:	%{baseversion}.%{patchlevel}
Release:	%mkrel 2
Summary:        VIsual editor iMproved
Url:            https://www.vim.org/
License:        Charityware
Group:          Editors
# Generated with SOURCES/vim-update.sh
Source0:	ftp://ftp.vim.org/pub/vim/unix/vim-%{baseversion}-%{patchlevel}.tar.bz2
# read README.mga prior updating official patches:
Source3:	README.mga
# https://vim.sourceforge.net/scripts/script.php?script_id=98
Source56:        http://trific.ath.cx/Ftp/vim/syntax/dhcpd.vim
# from apparmor-utils package
Source57:        apparmor.vim
Source58:        cfengine.vim
Source59:        nagios.vim
# icon rendering is ugly in GNOME3, so, adding a svg icon
Source60:	gvim.svg
# empty rpm spec template
Source61:	template.spec.tpl
Source62:	https://github.com/nelsyeung/twig.vim/archive/refs/tags/v1.0.0/twig.vim-1.0.0.tar.gz

# for updating Source0:
Source100:	vim-update.sh

# MDK patches
Patch2:         vim-5.6a-paths.patch
Patch3:         vim-9.1-rpm-spec-syntax.patch
Patch8:         vim-6.0af-man-path.patch
Patch10:        xxd-locale.patch
Patch20:        vimrc_hebrew.patch
# autoload template when creating new rpm spec files
Patch21:        vim-8.0-mga-vimrc-spec-template-autoload.patch
Patch22:        vim-9.1-fix-xterms-comments.patch
Patch23:        vim-8.2-remove-docs.patch
Patch24:        vim-8.0-outline-mode.patch
Patch26:        vim-7.4-changelog-mode.patch
Patch28:        vim-8.0-po-mode.patch
Patch30:        vim-8.0-add-dhcpd-syntax.patch
Patch31:	vim70-CVE-2007-2438.patch
Patch32:        vim-9.1-highligh-global.diff
Patch33:        vim-9.0-add-haproxy-syntax.patch
Patch34:        vim-9.1-git-python-syntax.patch

# Fedora patches
Patch100:  vim-8.0-fortify_warnings-1.patch
Patch3016: vim-8.0-copy-paste.patch
# migrate shebangs in script to /usr/bin/python3 and use python2 when necessary
Patch3017: vim-python3-tests.patch

# 
# Security Patches
# P4000 -> ...
#
BuildRequires:  python3-devel
BuildRequires:  gpm-devel
BuildRequires:  pkgconfig(ruby)
BuildRequires:  perl-devel
BuildRequires:  pkgconfig(tinfo)
BuildRequires:  acl-devel
%if %{buildgui}
# for sound support
BuildRequires: libcanberra-devel
BuildRequires:  gtk3-devel 
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(xt)
BuildRequires:  tcl
BuildRequires:  pkgconfig(tcl)
%endif
BuildRequires:  pkgconfig(lua)

%global __requires_exclude perl\\(getopts.pl\\)

%description
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.

%package common
Summary:    The common files needed by any version of the VIM editor
Group:      Editors
Requires(pre):      coreutils
Requires(post):     coreutils
Requires(preun):    coreutils
Requires(postun):   coreutils
# <oden> Installation failed:    file /usr/share/vim/syntax/asciidoc.vim from install of vim-common-7.4.052-2.mga4.x86_64 conflicts with file from package asciidoc-8.6.8-2.mga3.noarch
Conflicts: asciidoc < 8.6.8-4

%description common
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-common package contains files which every VIM binary will need in
order to run.

%package minimal
Summary:    A minimal version of the VIM editor
Group:      Editors
Provides:   vim
Provides: vi
Requires(post):     update-alternatives
Requires(postun):   update-alternatives

%description minimal
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-minimal package includes a minimal version of VIM, which is
installed into /bin/vi for use when only the root partition is
present. NOTE: The online help is only available when the vim-common
package is installed.

%package enhanced
Summary:    A version of the VIM editor which includes recent enhancements
Group:      Editors
Requires:   vim-common >= %{version}-%{release}
Provides:   vim
Requires(post):     update-alternatives
Requires(postun):   update-alternatives

%description enhanced
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-enhanced package contains a version of VIM with extra, recently
introduced features like Python and Perl interpreters.

Install the vim-enhanced package if you'd like to use a version of the
VIM editor which includes recently added enhancements like
interpreters for the Python and Perl scripting languages.  You'll also
need to install the vim-common package.

%if %{buildgui}
%package X11
Summary:    The VIM version of the vi editor for the X Window System
Group:      Editors
Provides:   vim
Requires:   vim-common >= %{version}-%{release}
Requires(post):     desktop-file-utils
Requires(postun):   desktop-file-utils

%description X11
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and
more.  VIM-X11 is a version of the VIM editor which will run within the
X Window System.  If you install this package, you can run VIM as an X
application with a full GUI interface and mouse support by command gvim.

Install the vim-X11 package if you'd like to try out a version of vi
with graphics and mouse capabilities.  You'll also need to install the
vim-common package.
%endif

%define localedir %{buildroot}%{_datadir}/locale/

%prep
%setup -q -n %{vimdir} -a 62
# spec plugin
rm -f runtime/doc/pi_spec.txt
rm -f runtime/ftpplugin/spec.vim
cp -a %{SOURCE56} runtime/syntax/
cp -a %{SOURCE57} runtime/syntax/
cp -a %{SOURCE58} runtime/syntax/
cp -a %{SOURCE59} runtime/syntax/
cp -a twig.vim-1.0.0/indent/twig.vim runtime/indent/
cp -a twig.vim-1.0.0/ftplugin/twig.vim runtime/ftplugin/
cp -a twig.vim-1.0.0/syntax/twig.vim runtime/syntax/

#mdk patches
%patch -P2 -p1
%patch -P3 -p0 -b .spec
%patch -P8 -p1 -b .manpath
%patch -P10 -p1 -b .xxdloc
%patch -P20 -p1 -b .warly
%patch -P21 -p1 -b .spec-template-autoload
%patch -P22 -p0
%patch -P23 -p0 -b .doc
%patch -P24 -p0
%patch -P26 -p0
%patch -P28 -p1
%patch -P30 -p0
%patch -P32 -p1
%patch -P33 -p1 -b .add-haproxy-syntax
%patch -P34 -p1
# Fedora patches
%patch -P100 -p1
%patch -P3016 -p1
%patch -P3017 -p1

perl -pi -e 's|SYS_VIMRC_FILE "\$VIM/vimrc"|SYS_VIMRC_FILE "%_sysconfdir/vim/vimrc"|' src/os_unix.h
perl -pi -e 's|SYS_GVIMRC_FILE "\$VIM/gvimrc"|SYS_GVIMRC_FILE "%_sysconfdir/vim/gvimrc"|' src/os_unix.h
# disable command echo
for i in runtime/{gvimrc_example.vim,vimrc_example.vim,defaults.vim}; do
    perl -pi -e 's!^set showcmd!set noshowcmd!' $i
done
perl -pi -e 's|\Qsvn-commit.*.tmp\E|svn-commit*.tmp|'       ./runtime/filetype.vim

%build
# ensure xxd works with big files:
export CFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2"
export CXXFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2"

export LDFLAGS="%{ldflags} $(python3-config --libs --embed)"

%if %{buildgui}
# First build: gvim
LOCALEDIR=%{localedir} ./configure --prefix=%{_prefix} \
--enable-python3interp=dynamic  \
--enable-perlinterp \
--enable-rubyinterp \
--enable-tclinterp \
--with-features=huge \
--enable-acl --with-x=yes --enable-gui=gtk3 --exec-prefix=%{_prefix}/X11R6 \
--enable-gtk3-check \
--enable-multibyte --enable-xim --enable-fontset --mandir=%{_mandir} \
  --enable-canberra \
--libdir=%{_libdir} --with-compiledby="%packager"

echo "#define MAX_FEAT 1" >> src/config.h
echo "#define FEAT_GUI" >> src/config.h
# workaround buggy build system:
perl -pi -e 's!/usr/include long!/usr/include !' src/auto/config.mk

%make_build
mv src/vim src/gvim
rm -rf src/auto/config.cache
make -C src clean
%endif

# Second build: vim-enhanced
./configure --prefix=%{_prefix} \
--enable-acl --enable-rubyinterp --enable-tclinterp \
--enable-python3interp=dynamic \
--enable-perlinterp --with-features=huge \
--libdir=%{_libdir} --with-compiledby="%packager" \
--with-x=no --enable-gui=no --exec-prefix=%{_prefix} \
  --disable-canberra

%make_build
mv src/vim src/vim-enhanced
rm -rf src/auto/config.cache
make -C src/ clean

# Third build: vim-minimal
export LDFLAGS="%{ldflags}"
./configure  --prefix=%{_prefix} \
--with-features=tiny --disable-tclinterp --disable-cscope \
--disable-hangulinput --disable-xim --disable-fontset --disable-gui \
--disable-acl --disable-pythoninterp --disable-perlinterp \
--libdir=%{_libdir} --with-compiledby="%packager" \
--with-x=no --enable-gui=no --disable-gpm --exec-prefix=%{_prefix} --with-tlib=tinfo \
  --disable-canberra

%make_build
cp src/vim src/vim-minimal
%make_build -C src

cp -al runtime/doc doc
# apply os_doc.diff
pushd doc
rm -f *.1
rm -f os_{390,dos,msdos,risc,win32,amiga,mac,os2,beos,mint,qnx,vms}.txt
rm -f gui_{w16,w32}.txt
rm -f vim2html.pl Makefile *awk
popd

# britton support
ln -s tutor.fr runtime/tutor/tutor.br
ln -s menu_fr_fr.iso_8859-15.vim runtime/lang/menu_br

%install
perl -pi -e 's!LOCALEDIR=\$\(DEST_LANG\)!LOCALEDIR=\$(DESTDIR)\$\(prefix\)/share/locale!g' src/Makefile

mkdir -p %{buildroot}{/bin,%{_bindir},%{_datadir}/{vim,locale},%{_mandir}/man1,%{localedir}}
# Adding STRIP=/bin/true, because Vim wants to strip the binaries by himself
# and put the stripped files into correct dirs. Build system (koji/brew) 
# does it for us, so there is no need to do it in Vim
%make_install VIMRTDIR="" STRIP=/bin/true


make -C src installmacros prefix=%{buildroot}%{_prefix} VIMRTDIR=""

# fix unreadable files:
chmod a+r runtime/{autoload/{tar,netrw}.vim,doc/pi_{netrw,tar}.txt}

%if %{buildgui}
mkdir -p %{buildroot}%{_bindir}
install -m 755 src/gvim %{buildroot}%{_bindir}
%endif

install -m 755 src/vim-enhanced %{buildroot}%{_bindir}
install -m 755 src/vim-minimal %{buildroot}/bin/vim-minimal

cd %{buildroot}
rm -f ./bin/rvim
rm -f ./usr/bin/rview ./usr/bin/rvim ./usr/bin/view
for i in ex vimdiff; do
    ln -sf vim-enhanced ./usr/bin/$i
done
rm -f ./usr/man/man1/rvim.*
rm -f ./usr/share/man/man1/evim.*
%if %{buildgui}
ln -sf gvim ./usr/bin/gvimdiff
ln -sf gvim ./usr/bin/vimx
%endif
rm -f ./usr/share/vim/*/cmake.vim
cd -

# installing man pages
for i in %{buildroot}%{_mandir}/man1/{vi,rvi}; do
    cp %{buildroot}%{_mandir}/man1/vim.1 $i.1
done

%if %{buildgui}
cp %{buildroot}%{_mandir}/man1/vim.1 %{buildroot}%{_mandir}/man1/gvim.1
%endif

ln -sf defaults.vim %{buildroot}/usr/share/vim/vimrc

cd %{buildroot}/%{_prefix}/share/vim/tools
# i need to make a choice :(.
rm -f vim132
perl -p -i -e 's|#!/usr/bin/nawk|#!/usr/bin/gawk|' mve.awk
perl -p -i -e 's|#!/usr/local/bin/perl|#!/usr/bin/perl|' *.pl
perl -p -i -e 's|#!/usr/gnu/bin/perl|#!/usr/bin/perl|' *
cd -

# Be short-circuit aware :
ln -f runtime/macros/README.txt README_macros.txt
ln -f runtime/tools/README.txt README_tools.txt
perl -p -i -e "s|#!/usr/local/bin/perl|#!/usr/bin/perl|" runtime/doc/*.pl

# installing the menu icons & entry
%if %{buildgui}
install -D -p -m 0644 %{SOURCE60} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/gvim.svg

# gvim and fontset (from Pablo) 2001/03/19
echo 'set guifontset=-*-fixed-medium-r-normal--14-*-*-*-c-*-*-*,-*-*-medium-r-normal--14-*-*-*-c-*-*-*,-*-*-medium-r-normal--14-*-*-*-m-*-*-*,*' > %{buildroot}%{_datadir}/vim/gvimrc
%endif

# fix the paths in the man pages
for i in %{buildroot}/usr/share/man/man1/*.1; do
    perl -p -i -e "s|%{buildroot}||" $i
done

# prevent including twice the doc
rm -fr %{buildroot}/usr/share/vim/doc
ln -sf ../../../%{_defaultdocdir}/%{name}-common/doc %{buildroot}/usr/share/vim/doc

%{find_lang} %{name} --with-man --all-name

find %{buildroot}%{_datadir}/vim/ -name "tutor.*" | egrep -v 'tutor(|\.vim)$' |
 sed -e 's!^\(.*tutor.\)\(..\)!%lang(\2) \1\2!g' >> %{name}.lang

find %{buildroot}%{_datadir}/vim/lang -name "menu*" |
 sed -e 's!^\(.*menu_\)\(..\)\(_\)!%lang(\2) \1\2\3!g' \
  -e 's!^\(.*menu\)\(_chinese\)!%lang(zh) \1\2!g' \
  -e 's!^\(.*menu\)\(_czech_\)!%lang(cs) \1\2!g' \
  -e 's!^\(.*menu\)\(_french\)!%lang(fr) \1\2!g' \
  -e 's!^\(.*menu\)\(_german\)!%lang(de) \1\2!g' \
  -e 's!^\(.*menu\)\(_japanes\)!%lang(ja) \1\2!g' \
  -e 's!^\(.*menu\)\(_polish\)!%lang(pl) \1\2!g' \
  -e 's!^\(.*menu\)\(_slovak\)!%lang(sk) \1\2!g' \
  -e 's!^\(.*menu\)\(_spanis\)!%lang(es) \1\2!g' \
  >> %{name}.lang
# add softlinks:
find %{buildroot}%{_datadir}/vim/lang -type l >> %{name}.lang
# clean file list:
sed -i "s^%{buildroot}^^" %{name}.lang

rm -f %{buildroot}%{_bindir}/vim

mkdir -p %{buildroot}%{_sysconfdir}/vim/
MESSAGE='"Place your systemwide modification here.\n"%{_datadir}/vim/ files will be overwritten on update\n'
echo -e "$MESSAGE\nsource %_datadir/vim/vimrc" > %{buildroot}/%{_sysconfdir}/vim/vimrc
%if %{buildgui}
echo -e "$MESSAGE\nsource %_datadir/vim/gvimrc" > %{buildroot}/%{_sysconfdir}/vim/gvimrc
%endif

# create templates folder
mkdir -p %{buildroot}/%{_datadir}/%{name}/vimfiles
install -m 0644 %{SOURCE61} %{buildroot}/%{_datadir}/%{name}/vimfiles/template.spec

%post minimal
update-alternatives --install /bin/vi vi /bin/vim-minimal 10 \
    --slave /bin/view view /bin/vim-minimal \
    --slave /bin/ex ex /bin/vim-minimal \
    --slave /bin/rvi rvi /bin/vim-minimal \
    --slave /bin/rview rview /bin/vim-minimal
update-alternatives --install /bin/vim vim /bin/vim-minimal 10 \
    --slave /bin/rvim rvim /bin/vim-minimal

%postun minimal
[ $1 = 0 ] || exit 0
update-alternatives --remove vi  /bin/vim-minimal
update-alternatives --remove vim /bin/vim-minimal

%triggerpostun minimal -- vim-minimal < 7.3
update-alternatives --remove uvi /bin/vim-minimal
for i in view ex rvi rview rvim; do
    update-alternatives --remove $i /bin/$i || :
done

%post enhanced
update-alternatives --install /bin/vi vi /usr/bin/vim-enhanced 20 \
    --slave /bin/view view /usr/bin/vim-enhanced \
    --slave /bin/ex ex /usr/bin/vim-enhanced \
    --slave /bin/rvi rvi /usr/bin/vim-enhanced \
    --slave /bin/rview rview /usr/bin/vim-enhanced
update-alternatives --install /bin/vim vim /usr/bin/vim-enhanced 20 \
    --slave /bin/rvim rvim /usr/bin/vim-enhanced

%postun enhanced
[ $1 = 0 ] || exit 0
update-alternatives --remove vi  /usr/bin/vim-enhanced
update-alternatives --remove vim /usr/bin/vim-enhanced

%triggerpostun enhanced -- vim-enhanced < 7.3
update-alternatives --remove uvi /usr/bin/vim-enhanced

%files common -f vim.lang
%doc README*.txt
#%doc --parents mandriva/README*
%doc doc
%{_datadir}/vim/doc
%dir %{_datadir}/vim/
%{_datadir}/vim/[^tlg]*
%{_datadir}/vim/gvimrc_example.vim
%{_datadir}/vim/lang/README.txt
%{_datadir}/vim/tools
%{_datadir}/vim/tutor/README.*
%{_datadir}/vim/tutor/tutor
%{_datadir}/vim/tutor/tutor.vim
%{_mandir}/man1/vim.1*
%{_mandir}/man1/ex.1*
%{_mandir}/man1/vi.1*
%{_mandir}/man1/view.1*
%{_mandir}/man1/rvi.1*
%{_mandir}/man1/rview.1*
%{_mandir}/man1/vimdiff.1*
%{_mandir}/man1/vimtutor.1*
%{_mandir}/man1/rvim.1*
%{_bindir}/vimtutor
%{_bindir}/xxd
%{_mandir}/man1/xxd.1*
%dir %{_sysconfdir}/vim/
%config(noreplace) %{_sysconfdir}/vim/*

%files minimal
%doc README*.txt
/bin/vim-minimal

%files enhanced
%doc README*.txt
%{_bindir}/ex
%{_bindir}/vimdiff
%{_bindir}/vim-enhanced

%if %{buildgui}
%files X11
%doc README*.txt
%{_bindir}/gvim
%{_bindir}/gvimdiff
%{_bindir}/vimx
%{_mandir}/man1/gvim.1*
%{_iconsdir}/hicolor/*/apps/gvim.*
%{_iconsdir}/locolor/*/apps/*
%{_datadir}/applications/*.desktop
%{_datadir}/vim/gvimrc
%else
%exclude %{_datadir}/applications/*.desktop
%exclude %{_iconsdir}/hicolor/*/apps/gvim.*
%exclude %{_iconsdir}/locolor/*/apps/*
%endif


%changelog
* Fri Jul 12 2024 danf <danf> 9.1.411-2.mga10
+ Revision: 2080873
- Fix Python syntax error on load

* Mon May 13 2024 ns80 <ns80> 9.1.411-1.mga10
+ Revision: 2063983
- new version 9.1.411 for buffer-overflow in xxd with colored output (mga#33199)

* Fri Apr 05 2024 wally <wally> 9.1.111-2.mga10
+ Revision: 2054567
- rebuild for i686

* Thu Feb 15 2024 ns80 <ns80> 9.1.111-1.mga10
+ Revision: 2041481
- new version 9.1.111 for CVE-2024-22667 (mga#32850)

* Thu Dec 21 2023 tv <tv> 9.0.2167-1.mga10
+ Revision: 2020774
- 9.0.2120

* Fri Dec 01 2023 tv <tv> 9.0.2130-4.mga10
+ Revision: 2012564
- Rebuild for perl-5.38
- Rebuild for perl-5.38
+ ns80 <ns80>
- new version 9.0.2130 for CVE-2023-4823[1-7] and CVE-2023-48706 (mga#32546)

* Thu Nov 09 2023 rapsys <rapsys> 9.0.2087-2.mga10
+ Revision: 2005282
- Fix haproxy filetype paths

* Fri Nov 03 2023 ns80 <ns80> 9.0.2087-1.mga10
+ Revision: 2003812
- new version 9.0.2087 for a security issue (mga#32455)

* Mon Oct 23 2023 ns80 <ns80> 9.0.2059-1.mga10
+ Revision: 2000463
- new version 9.0.2059 for CVE-2023-5535 and CVE-2023-5441 (mga#32428)

* Thu Sep 07 2023 ns80 <ns80> 9.0.1882-1.mga10
+ Revision: 1985028
- new version 9.0.1882 for CVE-2023-4733, CVE-2023-4752, CVE-2023-4750 (mga#32261)

* Tue May 23 2023 ns80 <ns80> 9.0.1572-1.mga9
+ Revision: 1957837
- new version 9.0.1572 for CVE-2023-2426 (mga#31954)

* Thu Apr 06 2023 ns80 <ns80> 9.0.1441-1.mga9
+ Revision: 1951568
- new version for 9.0.1441 for a new security issue (mga#31766)

* Fri Mar 17 2023 ns80 <ns80> 9.0.1411-1.mga9
+ Revision: 1949576
- new version for 9.0.1411 for CVE-2023-1127 and CVE-2023-117[05] (mga#31637)

* Mon Feb 20 2023 tv <tv> 9.0.1314-1.mga9
+ Revision: 1944404
- 9.0.1314

* Sat Jan 21 2023 tv <tv> 9.0.1221-1.mga9
+ Revision: 1934750
- 9.0.1221

* Wed Dec 14 2022 tv <tv> 9.0.1054-1.mga9
+ Revision: 1922117
- 9.0.1054

* Sun Dec 11 2022 tv <tv> 9.0.1006-1.mga9
+ Revision: 1920595
- 9.0.1006

* Thu Dec 01 2022 tv <tv> 9.0.963-1.mga9
+ Revision: 1913813
- 9.0.963

* Tue Nov 22 2022 tv <tv> 9.0.915-1.mga9
+ Revision: 1910163
- 9.0.915

* Sat Nov 05 2022 tv <tv> 9.0.828-1.mga9
+ Revision: 1903715
- 9.0.828

* Thu Sep 01 2022 neoclust <neoclust> 9.0.327-1.mga9
+ Revision: 1883372
- Update to vim 9.0 patchlevel 327

* Wed Jun 29 2022 tv <tv> 8.2.5172-1.mga9
+ Revision: 1866608
- 8.2.5172
- 8.2.5085

* Tue Jun 07 2022 umeabot <umeabot> 8.2.5052-2.mga9
+ Revision: 1862782
- Rebuild for Perl 5.36

* Fri Jun 03 2022 tv <tv> 8.2.5052-1.mga9
+ Revision: 1861154
- 8.2.5052

* Fri May 20 2022 tv <tv> 8.2.4975-1.mga9
+ Revision: 1859602
- 8.2.4975

* Sun May 08 2022 tv <tv> 8.2.4877-1.mga9
+ Revision: 1856768
- 8.2.4877

* Tue May 03 2022 tv <tv> 8.2.4857-1.mga9
+ Revision: 1855620
- 8.2.4857

* Mon Apr 25 2022 tv <tv> 8.2.4804-1.mga9
+ Revision: 1853172
- 8.2.4804

* Thu Apr 07 2022 tv <tv> 8.2.4701-1.mga9
+ Revision: 1847436
- 8.2.4701

* Mon Mar 28 2022 tv <tv> 8.2.4621-1.mga9
+ Revision: 1829869
- 8.2.4621

* Sun Mar 13 2022 tv <tv> 8.2.4529-1.mga9
+ Revision: 1790742
+ rebuild (emptylog)

* Tue Mar 01 2022 tv <tv> 8.2.4485-1.mga9
+ Revision: 1787047
- 8.2.4485

* Mon Feb 28 2022 tv <tv> 8.2.4460-1.mga9
+ Revision: 1786669
- 8.2.4460

* Fri Feb 25 2022 pterjan <pterjan> 8.2.4386-2.mga9
+ Revision: 1784640
- Rebuild for Ruby 3.1

* Wed Feb 16 2022 tv <tv> 8.2.4386-1.mga9
+ Revision: 1777949
- 8.2.4386

* Sat Feb 12 2022 tv <tv> 8.2.4314-1.mga9
+ Revision: 1773245
- 8.2.4314
- 8.2.4232

* Sun Jan 16 2022 neoclust <neoclust> 8.2.4114-1.mga9
+ Revision: 1768738
- New version 4114
  Adapt tarball build to be mageia compatible.

* Tue Jan 11 2022 tv <tv> 8.2.4051-2.mga9
+ Revision: 1767922
- 8.2.4051

* Fri Jan 07 2022 tv <tv> 8.2.4006-2.mga9
+ Revision: 1767229
- 8.2.4006

* Fri Dec 17 2021 tv <tv> 8.2.3811-2.mga9
+ Revision: 1762309
- 8.2.3811
- Drop old vim-8.2-3717.tar.bz2 tarball

* Fri Dec 10 2021 neoclust <neoclust> 8.2.3755-2.mga9
+ Revision: 1761296
- New version 8.2-3755: Fixes CVE-2021-4069 (mga#29748)
- New version 8.2-3755: Fixes CVE-2021-4069 (mga#29748)

* Thu Dec 02 2021 tv <tv> 8.2.3717-2.mga9
+ Revision: 1760591
- 8.2.3717

* Tue Nov 23 2021 tv <tv> 8.2.3642-2.mga9
+ Revision: 1758725
- 8.2.3642

* Mon Nov 08 2021 tv <tv> 8.2.3582-2.mga9
+ Revision: 1754733
- 8.2.3582

* Tue Nov 02 2021 tv <tv> 8.2.3568-2.mga9
+ Revision: 1753657
- 8.2.3568

* Mon Oct 18 2021 tv <tv> 8.2.3512-2.mga9
+ Revision: 1752043
- 8.2.3512

* Sun Oct 17 2021 neoclust <neoclust> 8.2.3404-2.mga9
+ Revision: 1752003
- Add P4001: Fixes CVE-2021-3796 (mga#29501)
- Add P4000: Fixes CVE-2021-3778 (mga#29501)

* Tue Sep 07 2021 tv <tv> 8.2.3404-1.mga9
+ Revision: 1744392
- 8.2.3404

* Fri Aug 20 2021 tv <tv> 8.2.3360-1.mga9
+ Revision: 1741997
- 8.2.3360

* Tue Aug 17 2021 tv <tv> 8.2.3354-1.mga9
+ Revision: 1741775
- 8.2.3354

* Fri Aug 06 2021 rapsys <rapsys> 8.2.3290-2.mga9
+ Revision: 1739806
- Add twig-1.0.0 syntax/indent/ftplugin

* Thu Aug 05 2021 tv <tv> 8.2.3290-1.mga9
+ Revision: 1739542
- 8.2.3290

* Tue Aug 03 2021 tv <tv> 8.2.3273-1.mga9
+ Revision: 1738864
- 8.2.3273

* Mon Aug 02 2021 rapsys <rapsys> 8.2.3223-2.mga9
+ Revision: 1738529
- Add haproxy.conf to haproxy filetype
- Add haproxy syntax
- Fix without gui build

* Tue Jul 27 2021 tv <tv> 8.2.3223-1.mga9
+ Revision: 1737953
- 8.2.3223

* Mon Jul 19 2021 tv <tv> 8.2.3154-1.mga9
+ Revision: 1736908
- 8.2.3154

* Mon Jun 07 2021 tv <tv> 8.2.2956-1.mga9
+ Revision: 1730085
- 8.2.2956

* Mon May 24 2021 umeabot <umeabot> 8.2.2875-3.mga9
+ Revision: 1727386
- Rebuild for perl 5.34

* Sat May 22 2021 tv <tv> 8.2.2875-2.mga9
+ Revision: 1726133
- 8.2.2875

* Thu May 13 2021 tv <tv> 8.2.2846-2.mga9
+ Revision: 1722664
- 8.2.2846

* Mon May 03 2021 tv <tv> 8.2.2825-2.mga9
+ Revision: 1721101
- 8.2.2825

* Wed Apr 14 2021 tv <tv> 8.2.2756-2.mga9
+ Revision: 1715741
- 8.2.2756

* Sat Apr 10 2021 tv <tv> 8.2.2735-2.mga9
+ Revision: 1714646
- 8.2.2735

* Tue Mar 30 2021 tv <tv> 8.2.2637-2.mga9
+ Revision: 1711863
- Provides vi

* Sun Mar 28 2021 tv <tv> 8.2.2637-1.mga9
+ Revision: 1711292
- 8.2.2637

* Mon Mar 15 2021 neoclust <neoclust> 8.2.2576-4.mga9
+ Revision: 1703137
- Rebuild against python 3.9

* Sat Mar 13 2021 wally <wally> 8.2.2576-3.mga9
+ Revision: 1701979
- really build minimal vim (without python)

* Tue Mar 09 2021 tv <tv> 8.2.2576-2.mga9
+ Revision: 1700867
- 8.2.2576

* Mon Mar 01 2021 tv <tv> 8.2.2559-2.mga9
+ Revision: 1694996
- 8.2.2559

* Sun Feb 28 2021 tv <tv> 8.2.2541-2.mga9
+ Revision: 1693269
- 8.2.2541
- 8.2.2465

* Tue Dec 15 2020 tv <tv> 8.2.2143-2.mga8
+ Revision: 1657884
- 8.2.2143

* Wed Dec 09 2020 tv <tv> 8.2.2115-2.mga8
+ Revision: 1654875
- 8.2.2115

* Fri Dec 04 2020 tv <tv> 8.2.2086-2.mga8
+ Revision: 1652522
- 8.2.2086

* Tue Dec 01 2020 tv <tv> 8.2.2072-2.mga8
+ Revision: 1651307
- 8.2.2072

* Fri Nov 20 2020 tv <tv> 8.2.2018-2.mga8
+ Revision: 1647900
- 8.2.2018

* Tue Nov 10 2020 tv <tv> 8.2.1971-2.mga8
+ Revision: 1644254
- 8.2.1971

* Fri Nov 06 2020 tv <tv> 8.2.1961-2.mga8
+ Revision: 1643058
- 8.2.1961

* Mon Nov 02 2020 tv <tv> 8.2.1941-2.mga8
+ Revision: 1641639
- 8.2.1941

* Thu Oct 22 2020 tv <tv> 8.2.1885-2.mga8
+ Revision: 1638508
- 8.2.1885

* Fri Oct 09 2020 tv <tv> 8.2.1815-2.mga8
+ Revision: 1632938
- 8.2.1815

* Wed Oct 07 2020 tv <tv> 8.2.1805-2.mga8
+ Revision: 1632490
- 8.2.1805

* Wed Sep 30 2020 tv <tv> 8.2.1770-2.mga8
+ Revision: 1631275
- 8.2.1770

* Tue Sep 15 2020 tv <tv> 8.2.1687-2.mga8
+ Revision: 1626740
- 8.2.1687

* Thu Sep 10 2020 tv <tv> 8.2.1651-2.mga8
+ Revision: 1624071
- 8.2.1651

* Tue Sep 08 2020 tv <tv> 8.2.1634-2.mga8
+ Revision: 1623520
- 8.2.1634

* Tue Sep 01 2020 tv <tv> 8.2.1551-2.mga8
+ Revision: 1620722
- 8.2.1551

* Wed Aug 26 2020 tv <tv> 8.2.1522-2.mga8
+ Revision: 1619123
- 8.2.1522

* Mon Aug 24 2020 tv <tv> 8.2.1520-2.mga8
+ Revision: 1618550
- 8.2.1520

* Wed Aug 19 2020 tv <tv> 8.2.1484-2.mga8
+ Revision: 1615946
- 8.2.1484

* Tue Aug 18 2020 tv <tv> 8.2.1412-2.mga8
+ Revision: 1615068
- enable sounds for gvim

* Mon Aug 10 2020 tv <tv> 8.2.1412-1.mga8
+ Revision: 1613098
- 8.2.1412

* Sun Aug 09 2020 tv <tv> 8.2.1382-1.mga8
+ Revision: 1612182
- 8.2.1382

* Mon Aug 03 2020 tv <tv> 8.2.1359-1.mga8
+ Revision: 1610733
- 8.2.1359

* Sat Aug 01 2020 tv <tv> 8.2.1307-1.mga8
+ Revision: 1610229
- 8.2.1307

* Thu Jul 16 2020 tv <tv> 8.2.1224-1.mga8
+ Revision: 1606511
- 8.2.1224

* Wed Jul 15 2020 tv <tv> 8.2.1217-1.mga8
+ Revision: 1606371
- 8.2.1217

* Mon Jun 29 2020 tv <tv> 8.2.1081-1.mga8
+ Revision: 1600352
- 8.2.1081

* Thu Jun 25 2020 tv <tv> 8.2.1052-1.mga8
+ Revision: 1599280
- 8.2.1052

* Wed Jun 17 2020 umeabot <umeabot> 8.2.987-2.mga8
+ Revision: 1595325
- Rebuild for perl 5.32

* Tue Jun 16 2020 tv <tv> 8.2.987-1.mga8
+ Revision: 1593580
- 8.2.987

* Fri Jun 05 2020 tv <tv> 8.2.905-1.mga8
+ Revision: 1590585
- 8.2.905

* Mon Jun 01 2020 tv <tv> 8.2.869-1.mga8
+ Revision: 1589423
- 8.2.869

* Sat May 23 2020 tv <tv> 8.2.806-1.mga8
+ Revision: 1587126
- 8.2.806

* Mon May 18 2020 tv <tv> 8.2.789-1.mga8
+ Revision: 1586000
- 8.2.789

* Thu May 14 2020 tv <tv> 8.2.752-1.mga8
+ Revision: 1583691
- 8.2.752

* Mon May 11 2020 tv <tv> 8.2.735-1.mga8
+ Revision: 1583195
- 8.2.735

* Tue May 05 2020 tv <tv> 8.2.694-1.mga8
+ Revision: 1580269
- 8.2.694

* Fri Apr 24 2020 tv <tv> 8.2.628-1.mga8
+ Revision: 1571642
- 8.2.628

* Tue Apr 21 2020 tv <tv> 8.2.613-1.mga8
+ Revision: 1570310
- 8.2.613

* Fri Apr 17 2020 tv <tv> 8.2.587-1.mga8
+ Revision: 1568341
- 8.2.587

* Tue Apr 07 2020 tv <tv> 8.2.525-1.mga8
+ Revision: 1565479
- 8.2.525

* Mon Apr 06 2020 tv <tv> 8.2.520-1.mga8
+ Revision: 1565161
- 8.2.520

* Mon Mar 30 2020 tv <tv> 8.2.480-1.mga8
+ Revision: 1562306
- 8.2.480

* Thu Mar 26 2020 tv <tv> 8.2.448-1.mga8
+ Revision: 1560785
- 8.2.448

* Mon Mar 16 2020 tv <tv> 8.2.390-1.mga8
+ Revision: 1556957
- 8.2.390

* Fri Mar 06 2020 tv <tv> 8.2.357-1.mga8
+ Revision: 1554437
- 8.2.357

* Thu Mar 05 2020 tv <tv> 8.2.356-1.mga8
+ Revision: 1554029
- 8.2.356

* Tue Mar 03 2020 tv <tv> 8.2.348-1.mga8
+ Revision: 1553538
- patchlevel 348

* Mon Mar 02 2020 pterjan <pterjan> 8.2.236-3.mga8
+ Revision: 1553186
- Rebuild for ruby 2.7

* Wed Feb 19 2020 umeabot <umeabot> 8.2.236-2.mga8
+ Revision: 1543020
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 tv <tv> 8.2.236-1.mga8
+ Revision: 1490776
- patchlevel 236
- new release

* Sat Jan 11 2020 tv <tv> 8.2.109-1.mga8
+ Revision: 1477563
- new release

* Thu Jan 02 2020 tv <tv> 8.2.076-1.mga8
+ Revision: 1475594
- new release
- remove very old obsoletes/provides on vim-color

* Sat Dec 21 2019 tv <tv> 8.2.019-1.mga8
+ Revision: 1469228
- new release

* Tue Dec 17 2019 tv <tv> 8.2.012-1.mga8
+ Revision: 1468552
- new release

* Wed Dec 11 2019 tv <tv> 8.1.2352-1.mga8
+ Revision: 1465934
- new release

* Mon Oct 28 2019 tv <tv> 8.1.2198-1.mga8
+ Revision: 1456238
- new release

* Sun Oct 06 2019 tv <tv> 8.1.2102-1.mga8
+ Revision: 1449794
- new release

* Sat Sep 14 2019 tv <tv> 8.1.2019-1.mga8
+ Revision: 1440636
- rebuild for python-3.8

* Mon Aug 26 2019 tv <tv> 8.1.1912-1.mga8
+ Revision: 1432521
- new release + rebuild with perl-5.30

* Tue Aug 06 2019 tv <tv> 8.1.1790-1.mga8
+ Revision: 1427695
- new release

* Wed Jul 24 2019 tv <tv> 8.1.1713-1.mga8
+ Revision: 1423729
- new release

* Mon Jul 01 2019 tv <tv> 8.1.1602-2.mga8
+ Revision: 1417275
- submit to core/release

* Sun Jun 30 2019 tv <tv> 8.1.1602-1.mga8
+ Revision: 1416430
- new release

* Sun Mar 31 2019 tv <tv> 8.1.1048-1.mga7
+ Revision: 1383380
- new release

* Mon Feb 18 2019 tv <tv> 8.1.918-1.mga7
+ Revision: 1368250
- rediff patch
- rediff patch
- patchlevel 918
- we do not need exact include path

* Sun Jan 13 2019 tv <tv> 8.1.714-1.mga7
+ Revision: 1355804
- new release

* Fri Dec 21 2018 tv <tv> 8.1.575-1.mga7
+ Revision: 1344190
- patchlevel 575
- do not strip binaries before build system strips it

* Fri Nov 16 2018 tv <tv> 8.1.527-1.mga7
+ Revision: 1330192
- patchlevel 527

* Fri Nov 09 2018 tv <tv> 8.1.513-1.mga7
+ Revision: 1329134
- new release

* Mon Nov 05 2018 tv <tv> 8.1.497-1.mga7
+ Revision: 1328428
- new release

* Wed Aug 29 2018 tv <tv> 8.1.328-1.mga7
+ Revision: 1255461
- new release

* Tue Aug 14 2018 tv <tv> 8.1.279-1.mga7
+ Revision: 1251548
- new release

* Sun Aug 05 2018 pterjan <pterjan> 8.1.229-2.mga7
+ Revision: 1247457
- Rebuild for perl 5.28

* Thu Aug 02 2018 tv <tv> 8.1.229-1.mga7
+ Revision: 1246872
- new release

* Fri Jun 15 2018 tv <tv> 8.1.055-1.mga7
+ Revision: 1236976
- new release

* Thu May 24 2018 tv <tv> 8.1.022-1.mga7
+ Revision: 1231997
- new release

* Tue May 22 2018 tv <tv> 8.1.016-1.mga7
+ Revision: 1231491
- new release

* Tue May 15 2018 tv <tv> 8.0.1842-1.mga7
+ Revision: 1229686
- patchlevel 1842
- use python2 and python3 in code

* Mon Mar 26 2018 tv <tv> 8.0.1630-1.mga7
+ Revision: 1212678
- new release

* Thu Feb 01 2018 tv <tv> 8.0.1451-2.mga7
+ Revision: 1198437
- new release

* Fri Jan 05 2018 tv <tv> 8.0.1428-2.mga7
+ Revision: 1190546
- new release

* Mon Jan 01 2018 pterjan <pterjan> 8.0.1283-2.mga7
+ Revision: 1188717
- Rebuild for Ruby 2.5

* Mon Nov 13 2017 tv <tv> 8.0.1283-1.mga7
+ Revision: 1177291
- rediff patch 24
- new release

* Tue Oct 31 2017 tv <tv> 8.0.1240-1.mga7
+ Revision: 1175100
- new release
- new release

* Sun Oct 15 2017 tv <tv> 8.0.1187-1.mga7
+ Revision: 1171988
- new release

* Mon Sep 18 2017 tv <tv> 8.0.1097-1.mga7
+ Revision: 1155190
- new release
- drop the strict requires on perl-base: libperl is already versionated

* Wed Aug 30 2017 tv <tv> 8.0.983-1.mga7
+ Revision: 1148611
- new release

* Tue Aug 15 2017 pterjan <pterjan> 8.0.885-2.mga7
+ Revision: 1140906
- Rebuild for new Ruby

* Thu Aug 10 2017 tv <tv> 8.0.885-1.mga7
+ Revision: 1139541
- new release
- fix python3 path (thus fixing loading eg: powerline)

* Fri Jul 21 2017 tv <tv> 8.0.739-2.mga7
+ Revision: 1126251
- new release

* Wed Jul 19 2017 tv <tv> 8.0.728-2.mga7
+ Revision: 1125390
- rebuild for new perl

* Wed Jul 19 2017 tv <tv> 8.0.728-1.mga7
+ Revision: 1125052
- new release

* Thu Mar 02 2017 tv <tv> 8.0.388-1.mga6
+ Revision: 1088468
- new release (security fix, mga#19829)

* Tue Jan 31 2017 shlomif <shlomif> 8.0.176-2.mga6
+ Revision: 1084399
- Rebuild for the new perl.
+ tv <tv>
- new release

* Thu Jan 12 2017 tv <tv> 8.0.160-1.mga6
+ Revision: 1081193
- new release
- use FC patch for disabling mouse
- use defaults.vim instead of vimrc_example for system vimrc

* Sat Jan 07 2017 tv <tv> 8.0.133-3.mga6
+ Revision: 1080494
- enable to copy/paste with mouse like by default in previous versions (mga#19467)

* Tue Dec 20 2016 tv <tv> 8.0.133-2.mga6
+ Revision: 1076207
- new release

* Wed Nov 23 2016 neoclust <neoclust> 8.0.095-2.mga6
+ Revision: 1069371
- New version 8.0.0095 ( Fix CVE CVE-2016-1248)

* Tue Nov 08 2016 tv <tv> 8.0.038-2.mga6
+ Revision: 1065827
- disable gpm support in vim-minimal (mga#19467)

* Wed Oct 26 2016 tv <tv> 8.0.038-1.mga6
+ Revision: 1063602
- new version
- use FC way to update as upstream patches from FTP server do not apply cleanly

* Tue Oct 11 2016 pterjan <pterjan> 8.0.5-3.mga6
+ Revision: 1060186
- Rebuild some recently rejected packages, some were due to a bug in the build system

* Tue Oct 04 2016 daviddavid <daviddavid> 8.0.5-2.mga6
+ Revision: 1058317
- fix a dangling link removing no more needed and useless locale symlink
  since "%%pre common" section was removed in commit 397203 (mga#19371)

* Thu Sep 15 2016 tv <tv> 8.0.5-1.mga6
+ Revision: 1053176
- new version

* Thu Sep 15 2016 tv <tv> 8.0.3-3.mga6
+ Revision: 1053019
- enable python3 support (needed for eg: powerline)
- enable gpm support
- BR lua-devel
- use fortify

* Tue Sep 13 2016 tv <tv> 8.0.3-2.mga6
+ Revision: 1052493
- really apply upstream patch
- use upstream rpm ftplugin instead of an 11+ years old unmainted one
- kill BR on libgnomeui2-devel
- replace patch 27 by a require excludes

* Tue Sep 13 2016 tv <tv> 8.0.3-1.mga6
+ Revision: 1052472
- drop our menu entry as upstream provides one now
- new release
- rediff patches
- drop patch 25
- really apply official patches :-(
  (broken since mga1...)
- switch to gtk+3

* Mon Jul 11 2016 tv <tv> 7.4.2025-1.mga6
+ Revision: 1041071
- new release

* Tue May 03 2016 tv <tv> 7.4.1816-1.mga6
+ Revision: 1008963
- new release

* Tue Apr 26 2016 tv <tv> 7.4.1785-1.mga6
+ Revision: 1006370
- new release

* Mon Apr 04 2016 tv <tv> 7.4.1706-1.mga6
+ Revision: 998364
- new release

* Thu Mar 31 2016 tv <tv> 7.4.1689-1.mga6
+ Revision: 997061
- new release

* Fri Mar 25 2016 tv <tv> 7.4.1646-1.mga6
+ Revision: 995461
- new release

* Wed Mar 16 2016 tv <tv> 7.4.1578-1.mga6
+ Revision: 992015
- new release

* Sat Mar 12 2016 tv <tv> 7.4.1536-6.mga6
+ Revision: 989394
- new release

* Tue Mar 08 2016 tv <tv> 7.4.1509-6.mga6
+ Revision: 987310
- new release

* Thu Feb 25 2016 tv <tv> 7.4.1416-6.mga6
+ Revision: 979146
- new release

* Sat Feb 20 2016 tv <tv> 7.4.1361-6.mga6
+ Revision: 972354
- new release

* Wed Feb 17 2016 umeabot <umeabot> 7.4.889-6.mga6
+ Revision: 963203
- Mageia 6 Mass Rebuild

* Wed Dec 16 2015 shlomif <shlomif> 7.4.889-5.mga6
+ Revision: 911023
- Rebuild for new perl

* Sun Nov 01 2015 neoclust <neoclust> 7.4.889-4.mga6
+ Revision: 897176
- Highlight %%global keyword in spec files

* Tue Oct 27 2015 shlomif <shlomif> 7.4.889-3.mga6
+ Revision: 895784
- Rebuild for the new ruby. ":CommandT" crashed previously.

* Sat Oct 03 2015 tv <tv> 7.4.889-2.mga6
+ Revision: 885871
- rebuild for new tcl

* Tue Sep 29 2015 tv <tv> 7.4.889-1.mga6
+ Revision: 885092
- new release

* Sat Sep 19 2015 tv <tv> 7.4.873-1.mga6
+ Revision: 881615
- re-enable debuginfo
- use find_lang's --all-name option
- adjust file list
- use find_lang's --with-man option
- new release
- do not strip binaries
- new release
- new release
- fix "File listed twice"
+ tmb <tmb>
- rebuild for new gcc

* Sun Aug 16 2015 tv <tv> 7.4.826-1.mga6
+ Revision: 865091
- new release
- new release

* Tue Aug 04 2015 tv <tv> 7.4.803-1.mga6
+ Revision: 860963
- handle %%pretrans & filetriggers, makeinstall & make_install
- do not colorize makeinstall_std & old_makeinstall anymore
  (%%make_install & %%makeinstall should be used respectively)
- typo fix (+ simplify patch)
- new release

* Thu Jun 25 2015 tv <tv> 7.4.761-3.mga6
+ Revision: 843436
- new release

* Wed Jun 24 2015 tv <tv> 7.4.752-3.mga6
+ Revision: 842506
- rebuild with soname-ified perl

* Tue Jun 23 2015 sander85 <sander85> 7.4.752-2.mga6
+ Revision: 840459
- Rebuild for perl 5.22

* Mon Jun 22 2015 tv <tv> 7.4.752-1.mga6
+ Revision: 839052
- new release

* Sun Jun 21 2015 tv <tv> 7.4.449-1.mga6
+ Revision: 837630
- new release

* Tue Nov 25 2014 doktor5000 <doktor5000> 7.4.430-7.mga5
+ Revision: 798913
- added rpm spec template %%{_datadir}/%%{name}/vimfiles/template.spec
  o adapt vimrc to autoload template when creating new rpm spec files

* Wed Oct 15 2014 umeabot <umeabot> 7.4.430-6.mga5
+ Revision: 747753
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 7.4.430-5.mga5
+ Revision: 725277
- rebuild for bogus file deps

* Tue Sep 23 2014 tmb <tmb> 7.4.430-4.mga5
+ Revision: 722149
- rebuild for new perl

* Tue Sep 16 2014 umeabot <umeabot> 7.4.430-3.mga5
+ Revision: 690209
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 guillomovitch <guillomovitch> 7.4.430-2.mga5
+ Revision: 677602
- update RPM syntax patch for new keyword

* Mon Sep 01 2014 tv <tv> 7.4.430-1.mga5
+ Revision: 670409
- new release

* Wed Aug 27 2014 tv <tv> 7.4.417-1.mga5
+ Revision: 668559
- new release

* Sat Aug 16 2014 tv <tv> 7.4.405-1.mga5
+ Revision: 663994
- new release

* Fri Aug 01 2014 tv <tv> 7.4.389-1.mga5
+ Revision: 658973
- new release

* Tue Jun 03 2014 tv <tv> 7.4.316-1.mga5
+ Revision: 632055
- new release

* Mon May 05 2014 tv <tv> 7.4.274-1.mga5
+ Revision: 620262
- new release

* Sun Apr 27 2014 tv <tv> 7.4.265-1.mga5
+ Revision: 618509
- new release

* Mon Mar 31 2014 tv <tv> 7.4.229-1.mga5
+ Revision: 610992
- new release

* Wed Mar 19 2014 tv <tv> 7.4.210-1.mga5
+ Revision: 605917
- new release

* Fri Mar 07 2014 tv <tv> 7.4.192-1.mga5
+ Revision: 600958
- new release

* Tue Feb 18 2014 tv <tv> 7.4.182-1.mga5
+ Revision: 594476
- new release

* Sat Feb 08 2014 tv <tv> 7.4.169-1.mga5
+ Revision: 586792
- new release

* Tue Feb 04 2014 tv <tv> 7.4.161-1.mga5
+ Revision: 581792
- new release

* Tue Jan 14 2014 oden <oden> 7.4.052-3.mga4
+ Revision: 566574
- fix a file clash

* Mon Oct 21 2013 umeabot <umeabot> 7.4.052-2.mga4
+ Revision: 540410
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 tv <tv> 7.4.052-1.mga4
+ Revision: 493589
- new release

* Tue Oct 08 2013 colin <colin> 7.4.050-2.mga4
+ Revision: 493177
- Rebuild against ncurse's libtinfo rather than libtermcap

* Sat Oct 05 2013 tv <tv> 7.4.050-1.mga4
+ Revision: 491897
- new release

* Sat Sep 28 2013 tv <tv> 7.4.041-1.mga4
+ Revision: 488568
- new release

* Sat Sep 21 2013 fwang <fwang> 7.4.009-2.mga4
+ Revision: 482713
- rebuild for ruby 2.0

* Tue Aug 27 2013 tv <tv> 7.4.009-1.mga4
+ Revision: 472322
- new release

* Tue Aug 27 2013 tv <tv> 7.4.007-1.mga4
+ Revision: 472302
- new release

* Fri Aug 23 2013 tv <tv> 7.3.1036-2.mga4
+ Revision: 469926
- rebuild for new perl

* Wed May 29 2013 tv <tv> 7.3.1036-1.mga4
+ Revision: 429913
- new release

* Sun Mar 17 2013 tv <tv> 7.3.762-5.mga3
+ Revision: 403552
- rebuild for new perl

* Fri Feb 08 2013 luigiwalser <luigiwalser> 7.3.762-4.mga3
+ Revision: 397203
- remove obsolete pre script

* Mon Jan 14 2013 umeabot <umeabot> 7.3.762-3.mga3
+ Revision: 385415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 tv <tv> 7.3.762-2.mga3
+ Revision: 334991
- new release

* Thu Nov 15 2012 tv <tv> 7.3.715-2.mga3
+ Revision: 318242
- new release

* Mon Nov 05 2012 tv <tv> 7.3.712-2.mga3
+ Revision: 314459
- rebuild for new perl

* Thu Nov 01 2012 tv <tv> 7.3.712-1.mga3
+ Revision: 312018
- new release

* Thu Nov 01 2012 fwang <fwang> 7.3.659-3.mga3
+ Revision: 311991
- rebuild for new ruby
+ dams <dams>
- add a new icon to fix ugly rendering in GNOME3
- clean specfile

* Mon Sep 10 2012 tv <tv> 7.3.659-2.mga3
+ Revision: 291565
- rebuild for new libruby

* Sun Sep 09 2012 tv <tv> 7.3.659-1.mga3
+ Revision: 291312
- new release

* Sun Sep 09 2012 tv <tv> 7.3.646-2.mga3
+ Revision: 291302
- rebuild for new libruby

* Wed Aug 29 2012 tv <tv> 7.3.646-1.mga3
+ Revision: 285538
- new release

* Thu Aug 23 2012 jquelin <jquelin> 7.3.629-3.mga3
+ Revision: 283287
- perl 5.16.1 rebuild

* Thu Aug 09 2012 tv <tv> 7.3.629-2.mga3
+ Revision: 280106
- new release

* Sat Jul 28 2012 tv <tv> 7.3.617-2.mga3
+ Revision: 275398
- new release

* Mon Jul 23 2012 tv <tv> 7.3.608-2.mga3
+ Revision: 273765
- new release

* Thu May 31 2012 blino <blino> 7.3.531-2.mga3
+ Revision: 251907
- fix build with latest perl (from upstream hg revision 7613c9ab083f)
+ tv <tv>
- new release
- rebuild for new perl
+ jquelin <jquelin>
- perl 5.16 rebuild

* Tue Mar 20 2012 guillomovitch <guillomovitch> 7.3.444-2.mga2
+ Revision: 225129
- fix missing ruby support

* Thu Feb 16 2012 tv <tv> 7.3.444-1.mga2
+ Revision: 209696
- new release

* Wed Feb 08 2012 tv <tv> 7.3.434-1.mga2
+ Revision: 206562
- new release

* Mon Jan 30 2012 tv <tv> 7.3.421-1.mga2
+ Revision: 203137
- new release

* Mon Jan 23 2012 tv <tv> 7.3.409-1.mga2
+ Revision: 200158
- new release

* Tue Dec 13 2011 tv <tv> 7.3.372-1.mga2
+ Revision: 181135
- new release

* Sun Nov 27 2011 tv <tv> 7.3.353-1.mga2
+ Revision: 172576
- new release

* Fri Oct 14 2011 jquelin <jquelin> 7.3.322-2.mga2
+ Revision: 155105
- perl 5.14.2 rebuild

* Thu Sep 22 2011 tv <tv> 7.3.322-1.mga2
+ Revision: 146851
- new release
- drop patch 1000 (obsolete since 7.3.315)
- new release
- drop patch 1000 (obsolete since 7.3.315)

* Thu Sep 15 2011 tv <tv> 7.3.315-1.mga2
+ Revision: 143859
- new release

* Wed Sep 07 2011 tv <tv> 7.3.294-1.mga2
+ Revision: 140199
- new release
- new release
- official patch level 280
- new release
- new release
- new release
+ fwang <fwang>
- fix desktop file

* Sun Jul 03 2011 fwang <fwang> 7.3.237-2.mga2
+ Revision: 117535
- rebuild for new tcl

* Wed Jun 29 2011 tv <tv> 7.3.237-1.mga2
+ Revision: 116127
- new release

* Sun Jun 19 2011 jquelin <jquelin> 7.3.219-4.mga2
+ Revision: 109898
- perl 5.14.1 rebuild

* Sun Jun 19 2011 tmb <tmb> 7.3.219-3.mga2
+ Revision: 109852
- rebuild for perl-5.14.1

* Tue Jun 14 2011 tv <tv> 7.3.219-2.mga2
+ Revision: 106057
- official patch level 219

* Sat Jun 11 2011 jquelin <jquelin> 7.3.154-2.mga2
+ Revision: 103441
- perl 5.14 rebuild

* Tue Apr 05 2011 tv <tv> 7.3.154-1.mga1
+ Revision: 80914
- reset release
- official patch level 154
- rediff xxd-locale.patch
- drop patches 11 (unused) & 29 (useless)

* Thu Feb 17 2011 jquelin <jquelin> 7.3.107-8.mga1
+ Revision: 52902
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 7.3.107-7.mga1
+ Revision: 52701
- perl 5.12.3 rebuild

* Tue Feb 01 2011 dmorgan <dmorgan> 7.3.107-6.mga1
+ Revision: 45703
- Update Vim patch level

* Mon Jan 24 2011 pterjan <pterjan> 7.3.003-5.mga1
+ Revision: 37374
- Rebuild for new perl

* Mon Jan 17 2011 pterjan <pterjan> 7.3.003-4.mga1
+ Revision: 21350
- Rebuild for python 2.7

* Fri Jan 14 2011 dmorgan <dmorgan> 7.3.003-3.mga1
+ Revision: 18008
- Fix file list
+ ahmad <ahmad>
- clean spec
- drop old/unneeded macros
- drop old/unneeded conflicts
- rename README.mdv to README.mga and edit it to replace Mandriva with Mageia
- rename the .desktop file to mageia-*
- imported package vim

